Bug 963693 - Review Request: jenkins-commons-jelly - Open and customizable XML processing engine
Review Request: jenkins-commons-jelly - Open and customizable XML processing ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 08:06 EDT by Michal Srb
Modified: 2013-05-22 01:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-22 01:37:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mizdebsk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-05-16 08:06:08 EDT
Spec URL: http://msrb.fedorapeople.org/review/jenkins-commons-jelly.spec
SRPM URL: http://msrb.fedorapeople.org/review/jenkins-commons-jelly-1.1.20120928-1.fc20.src.rpm
Description: Jelly is a tool for turning XML into executable code. It's a Java
and XML based scripting and processing engine. A Jelly script
is an XML document which gets parsed into a Script.
The script can then be ran to produce dynamic XML events
which can then be turned into text, XML, HTML etc. Rather like Velocity,
the XML can contain expressions to make the output dynamic
and can work with a variable context. This package contains
slightly modified version of the library used in Jenkins project.
Fedora Account System Username: msrb
Comment 1 Mikolaj Izdebski 2013-05-16 08:52:20 EDT
1. Please create a separate script (generate-sources.sh) to generate clean tarball. It will make it easier for me to verify sources and should improve maintaiability in future.

2. Please describe the patch. Why is it needed? Is it upstreamable? Was it submited upstream?

3. According %pom_add_dep "commons-lang:commons-lang"
Is this a bug (missing dependency)? Is upstream aware of it? Please clarify.

4. Readme files should not be installed with javadoc package.

5. Since you generated the tarball yourself it would make sense to name it better. Current name is 1.1-jenkins-20120928-clean.tar.gz, something standard like jenkins-commons-jelly-1.1.20120928-clean.tar.gz would probably be better.
Comment 2 Michal Srb 2013-05-17 09:45:08 EDT
Spec URL: http://msrb.fedorapeople.org/review/2/jenkins-commons-jelly.spec
SRPM URL: http://msrb.fedorapeople.org/review/2/jenkins-commons-jelly-1.1.20120928-2.fc20.src.rpm

(In reply to comment #1)
> 1. Please create a separate script (generate-sources.sh) to generate clean
> tarball. It will make it easier for me to verify sources and should improve
> maintaiability in future.
> 
done

> 2. Please describe the patch. Why is it needed? Is it upstreamable? Was it
> submited upstream?
> 
Yes, it's possibly upstreamable, but it needs some testing first. I've added comment to the spec file.

> 3. According %pom_add_dep "commons-lang:commons-lang"
> Is this a bug (missing dependency)? Is upstream aware of it? Please clarify.
> 
That's fedora specific bug. Upstream uses different version of commons-cli which pulls in commons-lang for them.
We have newer version of commons-cli which doesn't require commons-lang anymore.
I've added comment to the spec file.

> 4. Readme files should not be installed with javadoc package.
> 
fixed

> 5. Since you generated the tarball yourself it would make sense to name it
> better. Current name is 1.1-jenkins-20120928-clean.tar.gz, something
> standard like jenkins-commons-jelly-1.1.20120928-clean.tar.gz would probably
> be better.
done
Comment 3 Mikolaj Izdebski 2013-05-20 05:19:50 EDT
Package Review
==============

Legend:
[x] = Pass, [-] = Not applicable



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


rpmlint warnings:

$ rpmlint *.src.rpm
jenkins-commons-jelly.src: W: spelling-error Summary(en_US) customizable -> customization
jenkins-commons-jelly.src: W: strange-permission generate-sources.sh 0775L
jenkins-commons-jelly.src: W: invalid-url Source0: jenkins-commons-jelly-1.1.20120928-clean.tar.gz


Package approved.
Comment 4 Michal Srb 2013-05-20 05:24:52 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: jenkins-commons-jelly
Short Description: Open and customizable XML processing engine
Owners: msrb sochotni mizdebsk tradej
Branches: f19
InitialCC: java-sig
Comment 5 Gwyn Ciesla 2013-05-20 09:47:21 EDT
Git done (by process-git-requests).
Comment 6 Michal Srb 2013-05-22 01:37:37 EDT
Built in Rawhide and F19.

Note You need to log in before you can comment on or make changes to this bug.